Skip to main content
GET
List deposit attributions

Authorizations

Api-Access-Key
string
header
required

An API key associated with a security role

Query Parameters

after
string

When paginating this is used to provide the starting point for the page to fetch (retrieved from the previous response body)

Minimum string length: 1
limit
integer<int64>
default:100

Maximum number of results to return per query

Required range: 1 <= x <= 1000
status
enum<string>

Filter by pending or attributed deposits.

Available options:
ATTRIBUTED,
PENDING,
UNDER_REVIEW,
BLOCKED,
NON_ATTRIBUTABLE,
INITIATED
startDateTime
string<date-time>

The start date-time (exclusive) of the deposit attribution process in UTC following RFC 3339 'date-time' format. A valid format example is 2021-01-01T00:00:00.000000Z.

Example:

"2019-01-02T12:34:56.000Z"

endDateTime
string<date-time>

The end date-time (exclusive) to consider the start of the deposit attribution process in UTC following RFC 3339 'date-time' format. A valid format example is 2021-01-01T00:00:00.000000Z.

Example:

"2019-01-02T12:34:56.000Z"

attributedAtStartDateTime
string<date-time>

The start date-time (exclusive) to consider the attribution date of the deposit in UTC following RFC 3339 'date-time' format. A valid format example is 2021-01-01T00:00:00.000000Z.

Example:

"2019-01-02T12:34:56.000Z"

attributedAtEndDateTime
string<date-time>

The end date-time (exclusive) to consider the attribution date of the deposit in UTC following RFC 3339 'date-time' format. A valid format example is 2021-01-01T00:00:00.000000Z.

Example:

"2019-01-02T12:34:56.000Z"

accountIds
string<uuid>[]

Filter results to deposits associated with the specified accounts. Multiple values may be provided.

Response

Success

data
Deposit Attribution · object[]
required
page
Page · object
required

Pagination info